We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8144 - PayPal payments never complete with site restriction enabled
PayPal payments never complete with site restriction enabled
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Payments
2.3.9
All All
: P3 normal
Assigned To: Michael Felczak
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-05 11:57 PST by Michael Felczak
Modified: 2013-09-24 11:58 PDT (History)
4 users (show)

See Also:
Version Reported In: 2.3.8
Also Affects: OCS 2.3.5, OJS 2.4.2, OMP 1.0


Attachments
Patch against OJS 2.3.8 (apply against lib/pkp; should work with 2.3.7, 2.3.6, etc.) (389 bytes, patch)
2013-03-05 12:45 PST, Michael Felczak
Details | Diff
Patch against OJS 2.4.2 (apply against lib/pkp; should work with 2.4.1, 2.4.0, etc.) (409 bytes, patch)
2013-03-05 12:45 PST, Michael Felczak
Details | Diff
Patch against OCS 2.3.5 (apply against lib/pkp; should work with 2.3.4, 2.3.3, etc.) (287 bytes, patch)
2013-03-05 12:46 PST, Michael Felczak
Details | Diff
Patch against OMP 1.0 (apply against lib/pkp) (409 bytes, patch)
2013-03-05 12:48 PST, Michael Felczak
Details | Diff
Patch against OJS 2.3.8 (should work with 2.3.7, 2.3.6, etc.) (405 bytes, patch)
2013-04-24 13:49 PDT, Alec Smecher
Details | Diff
Patch against OJS 2.4.2 (should work with 2.4.1, 2.4.0, etc.) (303 bytes, patch)
2013-04-24 13:50 PDT, Alec Smecher
Details | Diff
Patch against OCS 2.3.5 (should work with 2.3.4, 2.3.3, etc.) (303 bytes, patch)
2013-04-24 13:51 PDT, Alec Smecher
Details | Diff
Patch against OMP 1.0 (425 bytes, patch)
2013-04-24 13:51 PDT, Alec Smecher
Details | Diff
Patch against OJS 2.4.2 (should work with 2.4.1, 2.4.0, etc.) (434 bytes, patch)
2013-09-03 14:36 PDT, Michael Felczak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Felczak 2013-03-05 11:57:57 PST
Setup => Management => Additional Site and Article Access Restrictions

If the JM enables "Users must be registered and log in to view the journal site" then arriving PayPal payment IPN requests are mutely ignored and payments are never recorded as completed.
Comment 1 Michael Felczak 2013-03-05 12:10:03 PST
PayPal payments never complete with site restriction enabled
https://github.com/pkp/pkp-lib/commit/4ab2633103a9e68347205e365c9992947fc53e11
Comment 2 Michael Felczak 2013-03-05 12:15:01 PST
PayPal payments never complete with site restriction enabled
https://github.com/pkp/pkp-lib/commit/c047f617cb6676f6d54707b1ac58c035cba82515
Comment 3 Michael Felczak 2013-03-05 12:20:03 PST
PayPal payments never complete with site restriction enabled
https://github.com/pkp/pkp-lib/commit/54d861ee9cd0759eaaa631a92100098bbbc38257
Comment 4 Michael Felczak 2013-03-05 12:30:03 PST
PayPal payments never complete with site restriction enabled
https://github.com/pkp/pkp-lib/commit/2e5d956d9ff702f268c75d093e4061df8921c1b7
Comment 5 Alec Smecher 2013-03-05 12:37:00 PST
Thanks, Michael. Also added this to the recommended patches list for 2.4.2.
Comment 6 Michael Felczak 2013-03-05 12:45:02 PST
PayPal payments never complete with site restriction enabled
https://github.com/pkp/pkp-lib/commit/8e3c880a7a056a89cb5c794a41eefba9431c286c
Comment 7 Michael Felczak 2013-03-05 12:45:13 PST
Created attachment 3915 [details]
Patch against OJS 2.3.8 (apply against lib/pkp; should work with 2.3.7, 2.3.6, etc.)
Comment 8 Michael Felczak 2013-03-05 12:45:58 PST
Created attachment 3916 [details]
Patch against OJS 2.4.2 (apply against lib/pkp; should work with 2.4.1, 2.4.0, etc.)
Comment 9 Michael Felczak 2013-03-05 12:46:49 PST
Created attachment 3917 [details]
Patch against OCS 2.3.5 (apply against lib/pkp; should work with 2.3.4, 2.3.3, etc.)
Comment 10 Michael Felczak 2013-03-05 12:48:00 PST
Created attachment 3918 [details]
Patch against OMP 1.0 (apply against lib/pkp)
Comment 11 Michael Felczak 2013-03-05 12:56:39 PST
Thanks Alec.

Also added as recommended patch for OJS 2.3.8, OCS 2.3.5, OMP 1.0 ...
Comment 12 Alec Smecher 2013-04-24 13:49:30 PDT
Created attachment 3925 [details]
Patch against OJS 2.3.8 (should work with 2.3.7, 2.3.6, etc.)
Comment 13 Alec Smecher 2013-04-24 13:50:24 PDT
Created attachment 3926 [details]
Patch against OJS 2.4.2 (should work with 2.4.1, 2.4.0, etc.)
Comment 14 Alec Smecher 2013-04-24 13:51:08 PDT
Created attachment 3927 [details]
Patch against OCS 2.3.5 (should work with 2.3.4, 2.3.3, etc.)
Comment 15 Alec Smecher 2013-04-24 13:51:59 PDT
Created attachment 3928 [details]
Patch against OMP 1.0
Comment 16 Alec Smecher 2013-04-24 13:52:14 PDT
(Patches corrected to avoid having to apply in lib/pkp subdirectory.)
Comment 17 Luiz Borges 2013-09-02 13:21:58 PDT
I tried to apply the patch 3926.diff to OJS 2.4.2, but it didn't work. What did work was the Patch against OMP 1.0 (3928.diff).
Comment 18 Michael Felczak 2013-09-03 14:33:52 PDT
Thanks Luiz.

Alec, looks like the OJS 2.4.2 patch got mixed-up with OCS 2.3.5 in the clean-up -- will fix.
Comment 19 Michael Felczak 2013-09-03 14:36:03 PDT
Created attachment 3956 [details]
Patch against OJS 2.4.2 (should work with 2.4.1, 2.4.0, etc.)
Comment 20 Michael Felczak 2013-09-03 14:37:37 PDT
Fixed.
Comment 21 AN support 2013-09-24 10:20:34 PDT
The patch list at http://pkp.sfu.ca/wiki/index.php?title=OJS_2.4.2_Recommended_Patches
still has a link to the failing patch instead of the correct one.
Comment 22 Michael Felczak 2013-09-24 11:58:43 PDT
Thanks -- I've fixed the OJS 2.4.2 recommended patches link.